MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032122Open CASCADE[OCCT] OCCT:Samplespublic2021-02-07 10:562021-02-21 11:43
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032122: Samples - handle WASD keys in WebGL sample
DescriptionIt is proposed handling WASD navigation keys within WebGL sample.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0098747)
git (administrator)
2021-02-07 11:43

Branch CR32122 has been created by kgv.

SHA-1: 4392c3391db94813d5491b3028512372041e9aae


No new revisions were added by this update.
(0098748)
kgv (developer)
2021-02-07 11:43

Patch is ready for review
- OCCT branch: CR32122.
(0098753)
osa (developer)
2021-02-08 11:12

The patch was reviewed without remarks
(0098857)
bugmaster (administrator)
2021-02-13 11:09

Combination -
OCCT branch : IR-2021-02-12
master SHA - fb68dbdbd6810ee27f9398c749c5740b7bea7818
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-12 SHA - 94205f40e685a70c77e547147d90c09e0a21c461
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17805.430000000237 / 17802.420000000013 [+0.02%]
Products
Total CPU difference: 11513.250000000124 / 11523.070000000105 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19375.296875 / 19372.265625 [+0.02%]
Products
Total CPU difference: 12857.265625 / 12882.921875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099038)
git (administrator)
2021-02-21 11:43

Branch CR32122 has been deleted by inv.

SHA-1: 4392c3391db94813d5491b3028512372041e9aae

- Related Changesets
occt: master e03a03fd
Timestamp: 2021-02-07 08:03:33
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032122: Samples - handle WASD keys in WebGL sample
mod - samples/webgl/WasmOcctView.cpp Diff ] File ]
mod - samples/webgl/WasmOcctView.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-07 10:56 kgv New Issue
2021-02-07 10:56 kgv Assigned To => kgv
2021-02-07 11:43 git Note Added: 0098747
2021-02-07 11:43 kgv Note Added: 0098748
2021-02-07 11:43 kgv Assigned To kgv => osa
2021-02-07 11:43 kgv Status new => resolved
2021-02-07 11:44 kgv Relationship added child of 0031070
2021-02-08 11:12 osa Note Added: 0098753
2021-02-08 11:12 osa Assigned To osa => bugmaster
2021-02-08 11:12 osa Status resolved => reviewed
2021-02-13 11:09 bugmaster Note Added: 0098857
2021-02-13 11:09 bugmaster Status reviewed => tested
2021-02-13 11:12 bugmaster Test case number => Not required
2021-02-13 11:29 bugmaster Changeset attached => occt master e03a03fd
2021-02-13 11:29 bugmaster Status tested => verified
2021-02-13 11:29 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099038


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker